#ifndef IQ_H
#define IQ_H

#include <dol.h>

#define PORT_IN1   "in1"
#define PORT_IN2   "in2"
#define PORT_IN3   "in3"
#define PORT_OUT1  "out1"

//local variables
typedef struct _local_states {
    int num_iter; //number of iterations
} Iq_State;

void iq_init(DOLProcess *);
int iq_fire(DOLProcess *);

#endif
